Create a transcript for a profile's role for a class
Creates a transcript for a student's role in a class. The transcript is pre-populated with all courses from the class's study plan in an unregistered state. Does not currently support course-level roles.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
- Type: stringrole
_id requiredUnique identifier of the role.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/apis/profiles/profiles/{profile_id}/roles/{role_id}/transcript
curl https://ff-business-school.fullfabric.cloud/apis/profiles/profiles/507f1f77bcf86cd799439011/roles/507f1f77bcf86cd799439011/transcript \
--request POST \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "69e0a8429a52af33ee4f217e",
"study_plan_id": "664cc3fe9a52af742f49d429",
"course_id": null,
"profile_id": "6385bdd4976a7719120108e9",
"created_at": 1709597233,
"updated_at": 1712000000,
"transcript_subjects": [],
"registrations": [],
"credits": null,
"total_credits": 0,
"awarded_credits": 0,
"profile": {
"id": "6385bdd4976a7719120108e9",
"first_name": "Sophie",
"last_name": "Martin"
}
}